Bug 136588 - aclocal fails with Perl error: Can't locate object method "path" via package "Request"
aclocal fails with Perl error: Can't locate object method "path" via package ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: autoconf (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-20 20:50 EDT by James Ralston
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-08 10:47:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 122262 None None None Never

  None (edit)
Description James Ralston 2004-10-20 20:50:00 EDT
Description of problem:

aclocal fails with the following error:

Can't locate object method "path" via package "Request" at
/usr/share/autoconf/Autom4te/C4che.pm line 69, <GEN1> line 111.
aclocal: autom4te failed with exit status: 1

Version-Release number of selected component (if applicable):

autoconf-2.59-3

How reproducible:

Run aclocal on the libnet-1.1.2.1 package.

Steps to Reproduce:

$ wget http://www.packetfactory.net/libnet/dist/libnet-1.1.2.1.tar.gz
$ tar xvpfz libnet-1.1.2.1.tar.gz
$ cd libnet
$ aclocal

Boom.

Actual results:

acinclude.m4:14: warning: underquoted definition of AC_LIBNET_LINUX_PROCFS
  run info '(automake)Extending aclocal'
  or see
http://sources.redhat.com/automake/automake.html#Extending%20aclocal
acinclude.m4:40: warning: underquoted definition of
AC_LIBNET_CHECK_PF_PACKET
acinclude.m4:134: warning: underquoted definition of
AC_LIBNET_CHECK_LIBNET_VER
acinclude.m4:169: warning: underquoted definition of
AC_LIBNET_CHECK_IP_CSUM
acinclude.m4:202: warning: underquoted definition of
AC_LBL_UNALIGNED_ACCESS
acinclude.m4:281: warning: underquoted definition of
AC_LIBNET_ENDIAN_CHECK
acinclude.m4:442: warning: underquoted definition of AC_LBL_LIBRARY_NET
/usr/share/aclocal/xmms.m4:17: warning: underquoted definition of
XMMS_TEST_VERSION
/usr/share/aclocal/xmms.m4:62: warning: underquoted definition of
AM_PATH_XMMS
/usr/share/aclocal/xdelta.m4:7: warning: underquoted definition of
AM_PATH_XDELTA
/usr/share/aclocal/vorbis.m4:9: warning: underquoted definition of
XIPH_PATH_VORBIS
/usr/share/aclocal/rep.m4:7: warning: underquoted definition of
AM_PATH_REP
/usr/share/aclocal/pkg.m4:5: warning: underquoted definition of
PKG_CHECK_MODULES
/usr/share/aclocal/pilot-link.m4:1: warning: underquoted definition of
AC_PILOT_LINK_HOOK
/usr/share/aclocal/openhbci.m4:8: warning: underquoted definition of
AM_PATH_OPENHBCI
/usr/share/aclocal/ogg.m4:8: warning: underquoted definition of
XIPH_PATH_OGG
/usr/share/aclocal/oaf.m4:4: warning: underquoted definition of
AM_PATH_OAF
/usr/share/aclocal/netatalk.m4:9: warning: underquoted definition of
AM_PATH_NETATALK
/usr/share/aclocal/linc.m4:1: warning: underquoted definition of
AM_PATH_LINC
/usr/share/aclocal/libraw1394.m4:6: warning: underquoted definition of
AC_LIB_RAW1394_FLAGS
/usr/share/aclocal/libraw1394.m4:19: warning: underquoted definition
of AC_LIB_RAW1394_HEADERS
/usr/share/aclocal/libraw1394.m4:41: warning: underquoted definition
of AC_LIB_RAW1394_LIBVERSION
/usr/share/aclocal/libraw1394.m4:75: warning: underquoted definition
of AC_LIB_RAW1394_RUNTEST
/usr/share/aclocal/libraw1394.m4:138: warning: underquoted definition
of AC_LIB_RAW1394
/usr/share/aclocal/libole2.m4:18: warning: underquoted definition of
AM_PATH_LIBOLE2
/usr/share/aclocal/libmikmod.m4:11: warning: underquoted definition of
AM_PATH_LIBMIKMOD
/usr/share/aclocal/libguppi.m4:11: warning: underquoted definition of
AM_PATH_LIBGUPPI
/usr/share/aclocal/libglade.m4:7: warning: underquoted definition of
AM_PATH_LIBGLADE
/usr/share/aclocal/libgcrypt.m4:23: warning: underquoted definition of
AM_PATH_LIBGCRYPT
/usr/share/aclocal/libart.m4:11: warning: underquoted definition of
AM_PATH_LIBART
/usr/share/aclocal/libOggFLAC.m4:7: warning: underquoted definition of
AM_PATH_LIBOGGFLAC
/usr/share/aclocal/libOggFLAC++.m4:8: warning: underquoted definition
of AM_PATH_LIBOGGFLACPP
/usr/share/aclocal/libIDL.m4:6: warning: underquoted definition of
AM_PATH_LIBIDL
/usr/share/aclocal/libFLAC.m4:7: warning: underquoted definition of
AM_PATH_LIBFLAC
/usr/share/aclocal/libFLAC++.m4:8: warning: underquoted definition of
AM_PATH_LIBFLACPP
/usr/share/aclocal/imlib.m4:9: warning: underquoted definition of
AM_PATH_IMLIB
/usr/share/aclocal/imlib.m4:167: warning: underquoted definition of
AM_PATH_GDK_IMLIB
/usr/share/aclocal/gtk.m4:7: warning: underquoted definition of
AM_PATH_GTK
/usr/share/aclocal/gsl.m4:5: warning: underquoted definition of
AM_PATH_GSL
/usr/share/aclocal/gpg-error.m4:7: warning: underquoted definition of
AM_PATH_GPG_ERROR
/usr/share/aclocal/gob2.m4:7: warning: underquoted definition of GOB2_HOOK
/usr/share/aclocal/glib.m4:8: warning: underquoted definition of
AM_PATH_GLIB
/usr/share/aclocal/gconf-2.m4:8: warning: underquoted definition of
AM_GCONF_SOURCE_2
/usr/share/aclocal/gconf-1.m4:4: warning: underquoted definition of
AM_PATH_GCONF
/usr/share/aclocal/gconf-1.m4:71: warning: underquoted definition of
AM_GCONF_SOURCE
/usr/share/aclocal/g-wrap.m4:7: warning: underquoted definition of
AC_GWRAP_CHECK_GUILE
/usr/share/aclocal/g-wrap.m4:23: warning: underquoted definition of
AM_PATH_GWRAP
/usr/share/aclocal/audiofile.m4:12: warning: underquoted definition of
AM_PATH_AUDIOFILE
/usr/share/aclocal/ao.m4:9: warning: underquoted definition of
XIPH_PATH_AO
/usr/share/aclocal/ORBit.m4:4: warning: underquoted definition of
AM_PATH_ORBIT
Can't locate object method "path" via package "Request" at
/usr/share/autoconf/Autom4te/C4che.pm line 69, <GEN1> line 111.
aclocal: autom4te failed with exit status: 1

Expected results:

The warnings are expected, but the error isn't.

Additional info:

See also bug 122262.
Comment 1 Daniel Reed 2004-10-21 15:27:59 EDT
This works for me using autoconf-2.59-5's C4che.pm and automake-1.9.2-3's
aclocal. Can you upgrade either Autoconf or Automake and try again? If that
still fails, please upgrade the other and try again. Thanks.
Comment 2 Daniel Reed 2005-01-03 18:37:26 EST
Please reopen if you can reproduce.
Comment 3 James Ralston 2005-01-10 17:57:41 EST
After much debugging (including backporting FC3's automake and perl), I finally
figured out the problem.  The solution is embarrassingly simple:

    $ rm -r autom4te.cache

That's it.

Apparently, the auto* tools cannot detect when information in autom4te.cache
was produced by older, incompatible versions of the auto* tools, and as a
result, they will fail in mysterious ways.

While this is still a bug, it's not a critical one.
Comment 4 Matthew Miller 2005-04-26 11:31:19 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.